
QGIS Application - Bug report #13870

Changes made with field calculator are lost (2.12)

2015-11-24 07:00 AM - Lars Kellogg-Stedman

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.12.0 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21893

Description

I am using qgis 2.12 on Fedora 23.  If I create a new polygon layer and add a few features and then attempt to update the "id" field  using

the field calculator, the updated values are never saved:

1. Create a new shapefile layer.  Do not add any additional attrbiutes.

2. Enable editing

3. Add some features (do not set the id field at this time)

4. Open the attribute field

5. Edit the expresion to set id=$Id, then click "Update all".  At this point, the "id" field is populated as expected.

6. Click "save".

7. Close the attribute table

8. Re-open the attribute table.

9. See that the "id" field is set to NULL.  All attempts to export this layer will also result in NULL id values.

History

#1 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2019-03-09 03:07 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4
Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
